Subject: Re: [EAI] WG Last Call to RFC5336bis, RFC5335bis, RFC5337bis

From: "Jiankang YAO" <[email-masked]>
Date: Fri, 23 Sep 2011 23:32:40 +0800

----- Original Message ----- 
From: "John Levine" <[email-masked]>
To: <[email-masked]>
Sent: Friday, September 23, 2011 9:09 AM
Subject: Re: [EAI] WG Last Call to RFC5336bis, RFC5335bis, RFC5337bis

>I read all three, 5335bis and 5337bis are ready to go.
> 
> With some trepidation, I ask one question about 5336bis:
> 
> In section 3.2, third paragraph, it still says that without EAI, the
> client "... MUST NOT transmit a mail message containing
> internationalized mail headers as described in [RFC5335bis] at any
> level within its MIME structure ...".  Back in March, we discussed
> this and I was under the impression we agreed to remove the
> requirement that you need EAI to send a message/global MIME part.  See
> the messages around this one:
> 
> http://www.ietf.org/mail-archive/web/ima/current/msg04078.html
> 
> My goal is not to reopen the can of worms, but to clarify whether
> 
> A) we didn't agree to the change and the current wording is OK, or
> 
> B) we did agree to the change, and the draft should delete the "at
> any level" language.
> 

the following link is the consensus result
http://trac.tools.ietf.org/wg/eai/trac/ticket/5#comment:1

"
Should the WG keep the decision about nested encodings and the use of message/global as described in RFC5336 and RFC5336bis? Or is a different model needed? 

"

the consensus result is yes.

Jiankang Yao

> R's,
> John
> _______________________________________________
> IMA mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ima

---

From: "Jiankang YAO" <[email-masked]>
Date: Fri, 23 Sep 2011 23:53:11 +0800

----- Original Message ----- 
From: "John Levine" <[email-masked]>
To: <[email-masked]>
Sent: Friday, September 23, 2011 9:09 AM
Subject: Re: [EAI] WG Last Call to RFC5336bis, RFC5335bis, RFC5337bis

> requirement that you need EAI to send a message/global MIME part.  
>

on the other hand, this restriction applies to "the UTF8SMTPbis-aware SMTP client" instead of "the client".

rfc5336bis said "   If the UTF8SMTPbis SMTP extension is not offered by the SMTP server,
   the UTF8SMTPbis-aware SMTP client MUST NOT transmit an
   internationalized email address and MUST NOT transmit a mail message
   containing internationalized mail headers as described in
   [RFC5335bis] at any level within its MIME structure" 

so this restriction applies to SMTP evironment only.
for a non-SMTP environment, it is out of the scope of this document. 

Jiankang Yao

>See